<?php get_header(); ?>
	
	<!-- content starts -->
	<div id="content-outer"><div id="content-wrapper">
	
		<div id="content">
		
		<div class="col-single">
		
		<div class="navigation navigation-archive">
		<?php /* If this is a category archive */ if (is_category()) { ?>
		<h4>Stai navigando nella sezione '<?php echo single_cat_title(); ?>'</h4>	 	
		<?php /* If this is a daily archive */ } elseif (is_day()) { ?>
		<h4>Stai navigando nell'archivio per <?php the_time('F jS, Y'); ?></h4>		
		<?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
		<h4>Stai navigando nell'archivio per <?php the_time('F, Y'); ?></h4>
		<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
		<h4>Stai navigando nell'archivio per l'anno <?php the_time('Y'); ?></h4>		
		<?php /* If this is a tag archive */ } elseif (is_tag()) { ?>
		<h4>Stai navigando nell'archivio per la tag '<?php single_tag_title(); ?>'</h4>
		<?php /* If this is a search */ } elseif (is_search()) { ?>
		<h4>Risultati Ricerca</h4>
		<?php /* If this is an author archive */ } elseif (is_author()) { ?>
		<h4>Stai navigando nell'archivio per autore</h4>
		<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
		<h4>Archivio Blog</h4>
		<?php } ?>
		</div>
		
		<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>	
		
			<div class="post">
				<div class="post-info">
					<p><span><span class="comment"><?php comments_popup_link('..', '1', '%'); ?></span> | <span class="date"><?php the_time('j M Y') ?></span> | 
					<span class="info"><a href="#" title="archiviato in <?php
					foreach((get_the_category()) as $category) { 
					    echo $category->cat_name . ' '; } ?>">info</a></span></span></p>
				</div>
				
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link a <?php the_title(); ?>"><?php the_title(); ?></a></h2>
				<?php bdw_get_images($post,"thumbnail"); ?>
				<?php the_excerpt(); ?>
				<div class="post-meta">		
					<p>
					<span><a href="<?php the_permalink() ?>" class="readmore">Continua e leggi tutto l'articolo..</a> <?php edit_post_link('Modifica..', '| ', ''); ?></span>
					</p>
				</div>
			</div>
			<?php endwhile; ?>
			
			<div class="navigation">
				<div class="prev"><?php next_posts_link('&laquo; Precedenti') ?></div>
				<div class="next"><?php previous_posts_link('Successivi &raquo;') ?></div>
			</div>	
			
		<?php else : ?>
			<h2>Non Trovato..</h2>
			<p class="center">Ops, questa sezione non contiene articoli, oppure stai cercando qualcosa che non c'&egrave;..</p>
			<?php include (TEMPLATEPATH . "/searchform.php"); ?>
		<?php endif; ?>
		
		</div>
<?php get_sidebar(); ?>
		</div>
	<!-- contents end here -->	
	</div></div>
<?php get_footer(); ?>