<?php
if ( function_exists('register_sidebars') )
    register_sidebars(4);
?>
<?php
//preso da WP Codex
function postimage($size="thumbnail") {
	if ( $images = get_children(array(
		'post_parent' => get_the_ID(),
		'post_type' => 'attachment',
		'numberposts' => 1,
		'post_mime_type' => 'image',)))
	{
		foreach( $images as $image ) {
			$attachmenturl=wp_get_attachment_url($image->ID);
			$attachmentimage=wp_get_attachment_image( $image->ID, $size );
			
			echo '<a href="'.$attachmenturl.'" alt="post image" >'.$attachmentimage.'</a>';
			break; //una sola immagine stampata
		}
	} else {
		return;
	}
}

function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = apply_filters('the_content', $content);
    $content = str_replace(']]>', ']]&gt;', $content);
    $content = strip_tags($content);

   if (strlen($_GET['p']) > 0) {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."Read More &rarr;</a>";
      echo "</p>";
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo "<p>";
        echo $content;
        echo "...";
        echo "&nbsp;<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a>";
        echo "</p>";
   }
   else {
      echo "<p>";
      echo $content;
      echo "&nbsp;<a href='";
      the_permalink();
      echo "'>"."Read More &rarr;</a>";
      echo "</p>";
   }
}

function bdw_get_images($post, $tipo) {

    // Get the post ID
    $iPostID = $post->ID;

    // Get images for this post
    $arrImages =& get_children('post_type=attachment&post_mime_type=image&post_parent=' . $iPostID );

    // If images exist for this page
    if($arrImages) {

        // Get array keys representing attached image numbers
        $arrKeys = array_keys($arrImages);

		/******BEGIN BUBBLE SORT BY MENU ORDER************
		// Put all image objects into new array with standard numeric keys (new array only needed while we sort the keys)
		foreach($arrImages as $oImage) {
			$arrNewImages[] = $oImage;
		}

		// Bubble sort image object array by menu_order TODO: Turn this into std "sort-by" function in functions.php
		for($i = 0; $i < sizeof($arrNewImages) - 1; $i++) {
			for($j = 0; $j < sizeof($arrNewImages) - 1; $j++) {
				if((int)$arrNewImages[$j]->menu_order > (int)$arrNewImages[$j + 1]->menu_order) {
					$oTemp = $arrNewImages[$j];
					$arrNewImages[$j] = $arrNewImages[$j + 1];
					$arrNewImages[$j + 1] = $oTemp;
				}
			}
		}

		// Reset arrKeys array
		$arrKeys = array();

		// Replace arrKeys with newly sorted object ids
		foreach($arrNewImages as $oNewImage) {
			$arrKeys[] = $oNewImage->ID;
		}
		******END BUBBLE SORT BY MENU ORDER**************/

        // Get the first image attachment
        $iNum = $arrKeys[0];
		
		if ($tipo=="small" || $tipo=="thumbnail") {
        // Get the thumbnail url for the attachment
        $sUrl = wp_get_attachment_thumb_url($iNum);
		} else {
        // FULL SIZE IMAGE INSTEAD OF THE THUMBNAIL
        $sUrl = wp_get_attachment_url($iNum);
		}
		
		//$dim = '';
		//if ($tipo=="thumbnail") { $dim = 'width="150" height="150"'; }
		//if ($tipo=="small") { $dim = 'width="65" height="65"'; }
		
        // Build the <img> string
        $sImgString = '<!--<a href="' . get_permalink() . '">-->' .
                            '<img src="' . $sUrl . '" class="post-thumb" alt="Thumbnail Image" title="Thumbnail Image" />' .
                        '<!--</a>-->';

        // Print the image
        echo $sImgString;
	}
}

?>
<?php
$themename = "diploD Magazine";
$shortname = "diplod";

$options = array (
				array(	"name" => "General Settings",
						"type" => "heading"),
						
				array(	"name" => "Keywords",
						"desc" => "Queste sono le parole chiave per i meta tag, utili per il posizionamento sui motori di ricerca. Se utilizzi un plugin per la gestione delle keyword come All in One SEO Pack puoi ignorare questa opzione.",
			    		"id" => $shortname."_parole_chiave",
						"std" => "Inserisci le parole chiave separate da virgola",
			    		"type" => "text"),
						
				array(	"name" => "Foto Testata",
						"desc" => "Questo e' l'indirizzo della foto per lo sfondo della testata - dim. consigliate 980x133 pixel (vedi come esempio il file header-photo.png presente nella cartella images di questo tema).<br/><hr><br/>",
			    		"id" => $shortname."_foto_testata",
						"std" => "Inserisci url completo immagine",
			    		"type" => "text"),
						
				array(	"name" => "468x60 AdSense ID",
						"desc" => "Banner 468x60 di Google AdSense nella testata e tra il singolo post e i commenti.<br />Ad esempio: pub-1234567890123456",
			    		"id" => $shortname."_adsense_468",
			    		"std" => "Inserisci il Google AdSense ID",
			    		"type" => "text"),		

				array(	"name" => "468x60 AdSense colore dei link",
						"desc" => "Puoi specificare il colore dei link per i banner 468x60 AdSense.<br />Ad esempio: 9999cc",
			    		"id" => $shortname."_adsense_468_link",
			    		"std" => "Inserisci il codice esadecimale del colore",
			    		"type" => "text"),	
			    		
				array(	"name" => "300x250 AdSense ID",
						"desc" => "Banner 300x250 di Google AdSense tra i post della seconda colonna in home page.<br />Ad esempio: pub-1234567890123456",
			    		"id" => $shortname."_adsense_300",
			    		"std" => "Inserisci il Google AdSense ID",
			    		"type" => "text"),		

				array(	"name" => "300x250 AdSense colore dei link",
						"desc" => "Puoi specificare il colore dei link per i banner 300x250 AdSense.<br />Ad esempio: 9999cc<br/><hr><br/>",
			    		"id" => $shortname."_adsense_300_link",
			    		"std" => "Inserisci il codice esadecimale del colore",
			    		"type" => "text"),
						
				array(	"name" => "ID Categoria per Slideshow",
						"desc" => "ID della categoria con le ultime notizie da far ruotare nello slideshow in home page, vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info.<br/><hr><br/>",
			    		"id" => $shortname."_slideshow",
			    		"std" => "Inserisci ID della categoria per lo slideshow",
			    		"type" => "text"),	
						
				array(	"name" => "Numero di Categorie in rilievo nella home page",
						"desc" => "Puoi scegliere quanti box di categoria avere nella colonna centrale della home page (massimo 5). Nei campi sotto compilerai i dati relativi alle singole categorie.<br/><hr><br/>",
			    		"id" => $shortname."_cat_show",
			    		"std" => "0",
			    		"options" => array ('0','1', '2', '3', '4', '5'),
			    		"type" => "select"),
						
				array(	"name" => "ID Categoria 1",
						"desc" => "ID della categoria 1 con le ultime notizie da pubblicare in home page, vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info.",
			    		"id" => $shortname."_cat_ID1",
			    		"std" => "ID della categoria",
			    		"type" => "text"),
						
				array(	"name" => "Numero Post per Categoria 1",
						"desc" => "Puoi scegliere quante notizie pubblicare in home page per la categoria 1, ad es: 3<br/><hr><br/>",
			    		"id" => $shortname."_cat_num1",
			    		"std" => "3",
			    		"options" => array ('1', '2', '3', '4', '5', '6'),
			    		"type" => "select"),	

				array(	"name" => "ID Categoria 2",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 2 categorie] ID della categoria 2 con le ultime notizie da pubblicare in home page, vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info.",
			    		"id" => $shortname."_cat_ID2",
			    		"std" => "ID della categoria",
			    		"type" => "text"),
						
				array(	"name" => "Numero Post per Categoria 2",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 2 categorie] Puoi scegliere quante notizie pubblicare in home page per la categoria 2, ad es: 3<br/><hr><br/>",
			    		"id" => $shortname."_cat_num2",
			    		"std" => "3",
			    		"options" => array ('1', '2', '3', '4', '5', '6'),
			    		"type" => "select"),	

				array(	"name" => "ID Categoria 3",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 3 categorie] ID della categoria 3 con le ultime notizie da pubblicare in home page, vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info.",
			    		"id" => $shortname."_cat_ID3",
			    		"std" => "ID della categoria",
			    		"type" => "text"),	
						
				array(	"name" => "Numero Post per Categoria 3",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 3 categorie] Puoi scegliere quante notizie pubblicare in home page per la categoria 3, ad es: 3<br/><hr><br/>",
			    		"id" => $shortname."_cat_num3",
			    		"std" => "3",
			    		"options" => array ('1', '2', '3', '4', '5', '6'),
			    		"type" => "select"),

				array(	"name" => "ID Categoria 4",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 4 categorie] ID della categoria 4 con le ultime notizie da pubblicare in home page, vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info.",
			    		"id" => $shortname."_cat_ID4",
			    		"std" => "ID della categoria",
			    		"type" => "text"),	
						
				array(	"name" => "Numero Post per Categoria 4",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 4 categorie] Puoi scegliere quante notizie pubblicare in home page per la categoria 4, ad es: 3<br/><hr><br/>",
			    		"id" => $shortname."_cat_num4",
			    		"std" => "3",
			    		"options" => array ('1', '2', '3', '4', '5', '6'),
			    		"type" => "select"),

				array(	"name" => "ID Categoria 5",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 5 categorie] ID della categoria 5 con le ultime notizie da pubblicare in home page, vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info.",
			    		"id" => $shortname."_cat_ID5",
			    		"std" => "ID della categoria",
			    		"type" => "text"),	
						
				array(	"name" => "Numero Post per Categoria 5",
						"desc" => "[puoi lasciare vuoto se sopra hai scelto di pubblicare meno di 5 categorie] Puoi scegliere quante notizie pubblicare in home page per la categoria 5, ad es: 3<br/><hr><br/>",
			    		"id" => $shortname."_cat_num5",
			    		"std" => "3",
			    		"options" => array ('1', '2', '3', '4', '5', '6'),
			    		"type" => "select"),									

				array(	"name" => "Galleria Immagini",
						"desc" => "ID del post in cui si trovano le immagini per la galleria da pubblicare nel footer, vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info.",
						"id" => $shortname."_gallery_ID",
						"std" => "Inserisci ID del post con le immagini",
						"type" => "text"),
						
				array(	"name" => "Video YouTube",
						"desc" => "URL embedded di youtube, si trova nel codice embedded: nell'attributo 'value' del tag param . Per il video da pubblicare nel footer (vedi le <a href=\"http://www.diplod.it/2010/01/31/diplomagazine-elegante-tema-wordpress-per-blog-magazine/\">istruzioni su diploD</a> per maggiori info).",
						"id" => $shortname."_you_tube",
						"std" => "Inserisci URL embedded del video youtube",
						"type" => "text"),
						
				array(	"name" => "About",
						"desc" => "Testo da pubblicare nella terza colonna del footer nello spazio a pie' di pagina.",
						"id" => $shortname."_about",
						"std" => "Puoi inserire ad esempio informazioni circa licenze, disclaimer, ecc..",
						"type" => "textarea"),
																														
		  );
		
function mytheme_add_admin() {

    global $themename, $shortname, $options;

    if ( $_GET['page'] == basename(__FILE__) ) {
    
        if ( 'save' == $_REQUEST['action'] ) {

                foreach ($options as $value) {
					if($value['type'] != 'multicheck'){
                    	update_option( $value['id'], $_REQUEST[ $value['id'] ] ); 
					}else{
						foreach($value['options'] as $mc_key => $mc_value){
							$up_opt = $value['id'].'_'.$mc_key;
							update_option($up_opt, $_REQUEST[$up_opt] );
						}
					}
				}

                foreach ($options as $value) {
					if($value['type'] != 'multicheck'){
                    	if( isset( $_REQUEST[ $value['id'] ] ) ) { update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); } 
					}else{
						foreach($value['options'] as $mc_key => $mc_value){
							$up_opt = $value['id'].'_'.$mc_key;						
							if( isset( $_REQUEST[ $up_opt ] ) ) { update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); } 
						}
					}
				}
                header("Location: themes.php?page=functions.php&saved=true");
                die;

        } else if( 'reset' == $_REQUEST['action'] ) {

            foreach ($options as $value) {
				if($value['type'] != 'multicheck'){
                	delete_option( $value['id'] ); 
				}else{
					foreach($value['options'] as $mc_key => $mc_value){
						$del_opt = $value['id'].'_'.$mc_key;
						delete_option($del_opt);
					}
				}
			}
            header("Location: themes.php?page=functions.php&reset=true");
            die;

        }
    }

    add_theme_page($themename." Options", "$themename Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');

}

function mytheme_admin() {

    global $themename, $shortname, $options;

    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
    
?>
<div class="wrap">
<h2><?php echo $themename; ?> options</h2>

<form method="post">

<table class="optiontable">

<?php foreach ($options as $value) { 
	
	switch ( $value['type'] ) {
		case 'text':
		option_wrapper_header($value);
		?>
		        <input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
		<?php
		option_wrapper_footer($value);
		break;
		
		case 'select':
		option_wrapper_header($value);
		?>
	            <select style="width:240px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
	                <?php foreach ($value['options'] as $option) { ?>
	                <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
	                <?php } ?>
	            </select>
		<?php
		option_wrapper_footer($value);
		break;
		
		case 'textarea':
		$ta_options = $value['options'];
		option_wrapper_header($value);
		?>
				<textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:400px;height:100px;"><?php 
				if( get_settings($value['id']) != "") {
						echo get_settings($value['id']);
					}else{
						echo $value['std'];
				}?></textarea>
		<?php
		option_wrapper_footer($value);
		break;

		case "radio":
		option_wrapper_header($value);
		
 		foreach ($value['options'] as $key=>$option) { 
				$radio_setting = get_settings($value['id']);
				if($radio_setting != ''){
		    		if ($key == get_settings($value['id']) ) {
						$checked = "checked=\"checked\"";
						} else {
							$checked = "";
						}
				}else{
					if($key == $value['std']){
						$checked = "checked=\"checked\"";
					}else{
						$checked = "";
					}
				}?>
	            <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
		<?php 
		}
		 
		option_wrapper_footer($value);
		break;
		
		case "checkbox":
		option_wrapper_header($value);
						if(get_settings($value['id'])){
							$checked = "checked=\"checked\"";
						}else{
							$checked = "";
						}
					?>
		            <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
		<?php
		option_wrapper_footer($value);
		break;

		case "multicheck":
		option_wrapper_header($value);
		
 		foreach ($value['options'] as $key=>$option) {
	 			$pn_key = $value['id'] . '_' . $key;
				$checkbox_setting = get_settings($pn_key);
				if($checkbox_setting != ''){
		    		if (get_settings($pn_key) ) {
						$checked = "checked=\"checked\"";
						} else {
							$checked = "";
						}
				}else{
					if($key == $value['std']){
						$checked = "checked=\"checked\"";
					}else{
						$checked = "";
					}
				}?>
	            <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
		<?php 
		}
		 
		option_wrapper_footer($value);
		break;
		
		case "heading":
		?>
		<tr valign="top"> 
		    <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
		</tr>
		<?php
		break;
		
		default:

		break;
	}
}
?>

</table>

<p class="submit">
<input name="save" type="submit" value="Save changes" />    
<input type="hidden" name="action" value="save" />
</p>
</form>
<form method="post">
<p class="submit">
<input name="reset" type="submit" value="Reset" />
<input type="hidden" name="action" value="reset" />
</p>
</form>

<?php
}

function option_wrapper_header($values){
	?>
	<tr valign="top"> 
	    <th scope="row"><?php echo $values['name']; ?>:</th>
	    <td>
	<?php
}

function option_wrapper_footer($values){
	?>
	    </td>
	</tr>
	<tr valign="top">
		<td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
	</tr>
	<?php 
}

function diplod_wp_head() { 
	$stylesheet = get_option('diplod_alt_stylesheet');
	if($stylesheet != ''){?>

<?php }
} 

add_action('wp_head', 'diplod_wp_head');
add_action('admin_menu', 'mytheme_add_admin'); 