﻿<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>

<head>
<title><?php if ( is_single() ) { wp_title(''); ?> &raquo; <?php } ?><?php bloginfo('name'); ?></title>

<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<meta name="description" content="<?php if ( is_single() ) { wp_title('', true); } else { bloginfo('name'); echo " - "; bloginfo('description'); }?>" />
<?php $parole = get_option('diplod_parole_chiave'); ?>
<?php if ($parole!=null && $parole!="Inserisci le parole chiave separate da virgola") { ?>
<meta name="keywords" content="<?php $keywords = get_option('diplod_parole_chiave'); echo $keywords; ?>" />
<?php } ?>
<meta name="robots" content="index, follow" />
<meta name="generator" content="WordPress <?php bloginfo('version'); ?>" /> <!-- leave this for stats please -->

<link rel="alternate" type="application/rss+xml" title="RSS 2.0" href="<?php bloginfo('rss2_url'); ?>" />
<link rel="alternate" type="text/xml" title="RSS .92" href="<?php bloginfo('rss_url'); ?>" />
<link rel="alternate" type="application/atom+xml" title="Atom 0.3" href="<?php bloginfo('atom_url'); ?>" />

<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="shortcut icon" href="<?php bloginfo('template_url'); ?>/favicon.ico" />

<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/md_stylechanger.js"></script>
<!--<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/BubbleTooltips.js"></script>-->

<link rel="stylesheet" type="text/css" href="<?php bloginfo('template_url'); ?>/css/slideshow.css" media="screen" />
	<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/mootools.js"></script>
	<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/slideshow.js"></script>
	<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/slideshow.kenburns.js"></script>
<script type="text/javascript">		
	//<![CDATA[
	  window.addEvent('domready', function(){
	    <?php $slideshow = get_option('diplod_slideshow'); ?>
		<?php if ($slideshow!=null && $slideshow!="Inserisci ID della categoria per lo slideshow" && is_home()) { ?>
		//avvio slideshow
		var data = {
		<?php query_posts('showposts=5&cat='.$slideshow); ?>
		<?php if (have_posts()) : ?>
		<?php $conta=0; ?>
		<?php while (have_posts()) : the_post(); ?>	
		<?php
		// Get the post ID
		$iPostID = $post->ID;
		// Get images for this post
		$arrImages =& get_children('post_type=attachment&post_mime_type=image&post_parent=' . $iPostID );
		// If images exist for this page
		if($arrImages) {
			// Get array keys representing attached image numbers
			$arrKeys = array_keys($arrImages);
			// Get the first image attachment
			$iNum = $arrKeys[0];
			// Get the thumbnail url for the attachment
			$sThumbUrl = wp_get_attachment_thumb_url($iNum);
			// Get the full-size url for the attachment
			$sUrl = wp_get_attachment_image_src($iNum,'large');		
			$descrizione = get_the_excerpt();
			$descrizione = str_replace("'", "\'", $descrizione); 
			$descrizione = str_replace("\n", " ", $descrizione); 
			//$descrizione = substr( $descrizione, 0, 100 );
		?>		
	      <?php if ($conta>0) { ?>, <?php } ?>
		  <?php $conta++; ?>
		  '<?php echo($sUrl[0]) ?>': { caption: '<p><a href="<?php the_permalink() ?>" rel="bookmark" title="Permanent Link a <?php the_title(); ?>"><?php the_title(); ?><\/a><br/><?php echo($descrizione) ?><\/p>' }	  
		<?php } ?> 
		<?php endwhile; ?>
		<?php endif; ?>
		<?php //Reset Query
		wp_reset_query(); ?>
	    };
	    var myShow = new Slideshow.KenBurns('show', data, {captions: true, controller: true, delay: 5000, duration: 2000, height: 300, thumbnails: false, width: 670, zoom: 50, pan: [25, 75]});
		<?php } //end-if is_home() ?>
		
		//avvio tooltips
		//enableTooltips("content","<?php bloginfo('template_url'); ?>/");
		
	  });
	//]]>
	</script>
<?php wp_head(); ?>
</head>

<body>

	<!-- header starts-->
	<div id="header-wrap">			
		<?php $photo = get_option('diplod_foto_testata'); ?>
		<?php if ($photo!=null && $photo!="Inserisci url completo immagine") { ?>
		<div id="header-photo">
		<img alt="header photo" src="<?php echo $photo; ?>" />
		</div>
		<?php } ?>
		<h1 id="logo-text"><a href="<?php echo get_settings('home'); ?>" title="home <?php bloginfo('name'); ?>"><?php bloginfo('name'); ?></a></h1>		
		<p id="intro"><?php bloginfo('description'); ?></p>		
		
		<div id="nav">
			<ul>
				<?php wp_list_pages('title_li=&depth=1' ); ?>		
			</ul>		
		</div>	

		<div id="nav-master">
			<ul>
				<li><a href="<?php echo get_settings('home'); ?>">Home</a></li>
				<?php wp_list_categories('title_li=&depth=2&sort_column=menu_order'); ?>
			</ul>		
		</div>			
		
		<form id="quick-search" action="<?php bloginfo('home'); ?>/" method="get" >
			<p>
			<input class="tbox" id="qsearch" type="text" name="s" value="Cerca nel sito..." title="Scrivi e premi INVIO" onblur="if(this.value=='') this.value='Cerca nel sito...';" onfocus="if(this.value=='Cerca nel sito...') this.value='';" />
			</p>
		</form>				
		
		<div id="controls">
		<a href="#" title="ingrandisci il testo" onclick="changeFontSize(1);return false;"><img alt="ingrandisci il testo" src="<?php bloginfo('template_url'); ?>/images/a-big.gif" /></a>
		<a href="#" title="rimpicciolisci il testo" onclick="changeFontSize(-1);return false;"><img alt="rimpicciolisci il testo" src="<?php bloginfo('template_url'); ?>/images/a-small.gif" /></a>
		<a href="#" title="testo normale" onclick="revertStyles(); return false;"><img alt="testo normale" src="<?php bloginfo('template_url'); ?>/images/a-reset.gif" /></a>
		<a href="<?php bloginfo('rss2_url'); ?>" title="RSS Feed"><img alt="feed" class="no-format float-left" src="<?php bloginfo('template_url'); ?>/images/feed.gif" /> RSS Feed</a>
		</div>
		
		<?php $adsense_468 = get_option('diplod_adsense_468'); ?>
			<?php if ($postcount<4 && !($adsense_468=="Inserisci il Google AdSense ID" || $adsense_468=="" )) { ?>
			<?php $adsense_468_link = get_option('diplod_adsense_468_link'); ?>
			<div id="ads">
				<!--To activate your Google AdSense ad, go to your WP dashboard and go to Design -> diploD Geek Options and enter your Google Adsense ID.-->
				<script type="text/javascript"><!--
				google_ad_client = "<?php echo $adsense_468; ?>";
				google_ad_width = 468;
				google_ad_height = 60;
				google_ad_format = "468x60_as";
				google_ad_type = "text";
				google_ad_channel = "";
				google_color_border = "FFFFFF";
				google_color_bg = "FFFFFF";
				google_color_link = "<?php echo $adsense_468_link; ?>";
				google_color_text = "000000";
				google_color_url = "666666";
				//-->
				</script>
				<script type="text/javascript"
				  src="http://pagead2.googlesyndication.com/pagead/show_ads.js">
				</script>		
			</div>
			<?php } ?>
	<!-- header ends here -->
	</div>